---
lang: en
title: 'API docs: extension-logging.loggingcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.extension-logging.loggingcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/extension-logging](./extension-logging.md) &gt; [LoggingComponent](./extension-logging.loggingcomponent.md)

## LoggingComponent class

A component providing logging facilities

<b>Signature:</b>

```typescript
export declare class LoggingComponent implements Component 
```
<b>Implements:</b> [Component](./core.component.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(loggingConfig)](./extension-logging.loggingcomponent._constructor_.md) |  | Constructs a new instance of the <code>LoggingComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./extension-logging.loggingcomponent.bindings.md) |  | [Binding](./context.binding.md)<!-- -->&lt;unknown&gt;\[\] |  |
|  [providers](./extension-logging.loggingcomponent.providers.md) |  | [ProviderMap](./core.providermap.md) |  |


